Opened 3 years ago

Closed 3 years ago

#4369 closed task (fixed)

Unknown group kvm in sysv build.

Reported by: ken@… Owned by: Bruce Dubbs
Priority: normal Milestone: 8.4
Component: Book Version: SVN
Severity: normal Keywords:
Cc:

Description (last modified by ken@…)

With eudev-3.2.5, udevd moans about unknown groups render and kvm when booting.

In the systemd book, group kvm (61) is added in /etc/group.

For eudev-3.2.7, the line

Change History (7)

comment:1 by ken@…, 3 years ago

Description: modified (diff)
Summary: Unknown groups render and kvm in sysv build.Unknown group kvm in sysv build.

Further data, the problems started in 3.2.6. The render group has been fixed in 3.2.7 but the reference to the kvm group remains:

--- eudev-3.2.6/rules/50-udev-default.rules     2018-02-20 12:36:19.000000000 +0000
+++ eudev-3.2.7/rules/50-udev-default.rules     2018-09-21 13:22:02.000000000 +0100
@@ -36,8 +36,8 @@
 SUBSYSTEM=="media", GROUP="video"
 SUBSYSTEM=="cec", GROUP="video"
 
-SUBSYSTEM=="drm", KERNEL=="renderD*", GROUP="render", MODE="@GROUP_RENDER_MODE@"
-SUBSYSTEM=="kfd", GROUP="render", MODE="@GROUP_RENDER_MODE@"
+SUBSYSTEM=="drm", KERNEL=="renderD*", GROUP="video", MODE="0666"
+SUBSYSTEM=="kfd", GROUP="video", MODE="0666"
 
 SUBSYSTEM=="sound", GROUP="audio", \
   OPTIONS+="static_node=snd/seq", OPTIONS+="static_node=snd/timer"
@@ -79,7 +79,7 @@
 KERNEL=="fuse", MODE="0666", OPTIONS+="static_node=fuse"
 
 # The static_node is required on s390x and ppc (they are using MODULE_ALIAS)
-KERNEL=="kvm", GROUP="kvm", MODE="@DEV_KVM_MODE@", OPTIONS+="static_node=kvm"
+KERNEL=="kvm", GROUP="kvm", MODE="0666", OPTIONS+="static_node=kvm"
 
 SUBSYSTEM=="ptp", ATTR{clock_name}=="KVM virtual PTP", SYMLINK += "ptp_kvm"
Last edited 3 years ago by Bruce Dubbs (previous) (diff)

in reply to:  description comment:2 by ken@…, 3 years ago

Replying to ken@…:

With eudev-3.2.5, udevd moans about unknown groups render and kvm when booting.

In the systemd book, group kvm (61) is added in /etc/group.

For eudev-3.2.7, the line

Incomplete post, and the problem started in 3.2.6 (unknown groups render and kvm)

comment:3 by thomas, 3 years ago

If i understand right, we need to add kvm to groups. If so, we also could remove systemd-journal group from the sysv-variant:

--- /mnt/LFS/books/LFS/trunk/BOOK/chapter06/createfiles.xml	2018-09-21 11:02:49.900667137 +0200
+++ /mnt/LFS/books/LFS-devel/lfs/belfs/chapter06/createfiles.xml	2018-11-09 05:39:30.296771117 +0100
@@ -261,9 +261,9 @@
 cdrom:x:15:
 adm:x:16:
 messagebus:x:18:
-systemd-journal:x:23:
 input:x:24:
 mail:x:34:
+kvm:x:61:
 nogroup:x:99:
 users:x:999:</literal>
 EOF</userinput></screen>

Right?

comment:4 by Bruce Dubbs, 3 years ago

Owner: changed from lfs-book to Bruce Dubbs
Status: newassigned

I'll work on this tomorrow.

comment:5 by Bruce Dubbs, 3 years ago

Resolution: fixed
Status: assignedclosed

Fixed at revision 11483.

comment:6 by Xi Ruoyao, 3 years ago

Resolution: fixed
Status: closedreopened

I didn't see the change to /etc/group or eudev in r11483. Maybe Bruce forgot to commit changes in chapter06/createfiles.xml?

comment:7 by Bruce Dubbs, 3 years ago

Resolution: fixed
Status: reopenedclosed

I have more than one copy of the book and made the change in the one I did not commit. Fixed.

Note: See TracTickets for help on using tickets.